package com.schisandra.auth.infra.basic.service;

import com.schisandra.auth.infra.basic.entity.SchisandraAuthSocialUser;

/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-23 20:07:57
 */
public interface SchisandraAuthSocialUserService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraAuthSocialUser queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraAuthSocialUser 实例对象
     * @return 实例对象
     */
    int insert(SchisandraAuthSocialUser schisandraAuthSocialUser);

    /**
     * 修改数据
     *
     * @param schisandraAuthSocialUser 实例对象
     * @return 实例对象
     */
    int update(SchisandraAuthSocialUser schisandraAuthSocialUser);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    SchisandraAuthSocialUser selectByUuidAndType(String uuid,String type);

    int insertAuthSocialUserByOauth(SchisandraAuthSocialUser schisandraAuthSocialUser);

    int updateByOauth(SchisandraAuthSocialUser schisandraAuthSocialUser);
}
